import org.junit.Test;

import static org.junit.Assert.*;

public class BinsTest {

    @Test
    public void testGetBin() {
        //given
        Bins bin1 = new Bins(2);
        bin1.incrementBin(3);
        //when
        int expected = 1;
        int actual = bin1.getBin(3);
        //then
        assertEquals(expected, actual);
    }

    @Test
    public void testGetBinLoop() {
        //given
        Bins bin2 = new Bins(2);
        for(int i=0; i<101; i++) {
            bin2.incrementBin(10);
        }
        //when
        int expected = 101;
        int actual = bin2.getBin(10);
        //then
        assertEquals(expected, actual);
    }
}