import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class DiceTest {
    @Test
    public void dieIsValid(){
        // Given
        Dice dice = new Dice(1);
        boolean expected = true;

        // When
        boolean actual = false;
        int dieRoll = dice.tossAndSum();
        if (dieRoll <= 6 && dieRoll >= 1){
            actual = true;
        }

        // Then
//        Assert.assertEquals(expected, actual);
        assertTrue(actual);

    }

    @Test
    public void rollThreeDice(){
        // Given
        Dice dice = new Dice(2);
        boolean expected = true;

        // When
        boolean actual = false;
        int rollTwo = dice.tossAndSum();
        if (rollTwo <= 12 && rollTwo >= 2){
            actual = true;
        }

        // Then
        Assert.assertEquals(expected, actual);

    }
}